Skip to main content
GET
Get Site

Authorizations

x-api-key
string
header
required

API key authentication. Accepts either:

  • App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
  • Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Path Parameters

siteId
string<uuid>
required

The site ID for the site you are requesting.

Response

object
enum<string>
required

The type of the object

Available options:
site
Example:

"site"

id
string<uuid>
required
name
string
required

The site name.

Example:

"Hearth Furniture Company"

hostOrigin
string<uri> | null
required

The public URL where your site is hosted. This is the URL that Makeswift uses to render your site for editing.

Example:

"https://hearthfurniture.com"

publicApiKey
string<uuid>
required

The publishable API key that a host can use to get page and component data for rendering your site.

defaultLocale
string
required

The primary locale of this site.

Examples:

"en"

"es"

"fr-FR"

"ar-EG"

"ja-JP"